#!/bin/sh

SOURCE_DIR=$(realpath $(dirname "${0}"))/redis
# Build Docker container
docker build -t redis ${SOURCE_DIR}

# Configure Redis
mkdir -p /srv/redis
cp ${SOURCE_DIR}/srv/redis/redis.conf /srv/redis/redis.conf
chown -R 6379:6379 /srv/redis

# Configure Redis service
cp ${SOURCE_DIR}/etc/init.d/redis /etc/init.d/redis
rc-update add redis boot
service redis start
